      SUBROUTINE MAIN
      LOGICAL*1 BUFFER(512), BUF(400), OUTBUF(400)
      INTEGER INT, FDB, I, J, K, L, M, N
      INTEGER OPEN, GETFDB, GETS
      LOGICAL*1 ACCNT(19)
      DATA ACCNT(1)/76/,ACCNT(2)/66/,ACCNT(3)/48/,ACCNT(4)/58/,ACCNT(5)/
     *91/,ACCNT(6)/48/,ACCNT(7)/44/,ACCNT(8)/48/,ACCNT(9)/93/,ACCNT(10)/
     *82/,ACCNT(11)/83/,ACCNT(12)/88/,ACCNT(13)/49/,ACCNT(14)/49/,ACCNT(
     *15)/46/,ACCNT(16)/83/,ACCNT(17)/89/,ACCNT(18)/83/,ACCNT(19)/0/
      INT = OPEN(ACCNT, 1)
      IF(.NOT.(INT .EQ. -3))GOTO 23000
      CALL CANT(ACCNT)
23000 CONTINUE
      FDB = GETFDB(INT)
23002 IF(.NOT.(GETS(FDB, BUFFER, 512) .EQ. 512))GOTO 23003
      J=1
23004 IF(.NOT.(J .LE. 512))GOTO 23006
      K = J
      L=1
23007 IF(.NOT.(L .LE. 128))GOTO 23009
      BUF(L) = BUFFER(K)
      K = K + 1
23008 L=L+1
      GOTO 23007
23009 CONTINUE
      IF(.NOT.(BUF(1) .EQ. 0))GOTO 23010
      GOTO 23003
23010 CONTINUE
      L = 1
      CALL JCOPY(BUF, 13, 14, OUTBUF, L)
      CALL CHCOPY(32, OUTBUF, L)
      CALL JCOPY(BUF, 47, 4, OUTBUF, L)
      CALL JCOPY(2H:[, 1, 2, OUTBUF, L)
      CALL JCOPY(BUF, 1, 3, OUTBUF, L)
      CALL CHCOPY(44, OUTBUF, L)
      CALL JCOPY(BUF, 4, 3, OUTBUF, L)
      CALL JCOPY(8H]      [, 1, 8, OUTBUF, L)
      CALL JCOPY(BUF, 1, 3, OUTBUF, L)
      CALL CHCOPY(44, OUTBUF, L)
      CALL JCOPY(BUF, 4, 3, OUTBUF, L)
      CALL JCOPY(8H]      ", 1, 8, OUTBUF, L)
      N = 0
      M=27
23012 IF(.NOT.(M .LE. 38 .AND. BUF(M) .NE. 32))GOTO 23014
      N=N+1
23013 M=M+1
      GOTO 23012
23014 CONTINUE
      IF(.NOT.(N .GT. 0))GOTO 23015
      CALL JCOPY(BUF, 27, N, OUTBUF, L)
      CALL CHCOPY(32, OUTBUF, L)
23015 CONTINUE
      N = 0
      M=13
23017 IF(.NOT.(M .LE. 26 .AND. BUF(M) .NE. 32))GOTO 23019
      N = N + 1
23018 M=M+1
      GOTO 23017
23019 CONTINUE
      IF(.NOT.(N .GT. 0))GOTO 23020
      CALL JCOPY(BUF, 13, N, OUTBUF, L)
23020 CONTINUE
      CALL CHCOPY(34, OUTBUF, L)
      CALL FOLD(OUTBUF)
      CALL PUTLIN(OUTBUF, 2)
      CALL PUTCH(10, 2)
23005 J=J+128
      GOTO 23004
23006 CONTINUE
      GOTO 23002
23003 CONTINUE
      CALL CLOSE(INT)
      RETURN
      END
      SUBROUTINE JCOPY(IN, START, N, OUT, I)
      LOGICAL*1 IN(100), OUT(100)
      INTEGER START, N, I, J, K
      K = START
      J=1
23022 IF(.NOT.(J .LE. N))GOTO 23024
      OUT(I) = IN(K)
      K = K + 1
      I = I + 1
23023 J=J+1
      GOTO 23022
23024 CONTINUE
      RETURN
      END
